Package org.opentcs.access.to.model

# Class GroupCreationTO

java.lang.Object
org.opentcs.access.to.CreationTO
org.opentcs.access.to.model.GroupCreationTO

All Implemented Interfaces:
  `java.io.Serializable`

    @Deprecated
    @ScheduledApiChange(details="Will be removed.",
                        when="6.0")
    public class GroupCreationTO
    extends CreationTO
    implements java.io.Serializable

Deprecated.
Will be removed.
A transfer object describing a group in the plant model.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroupCreationTO​(java.lang.String name)` | Deprecated. Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.lang.String>` | `getMemberNames()` | Deprecated. Returns the names of this group's members.
  `GroupCreationTO` | `withMemberNames​(java.util.Set<java.lang.String> memberNames)` | Deprecated. Creates a copy of this object with group's members.
  `GroupCreationTO` | `withName​(java.lang.String name)` | Deprecated. Creates a copy of this object with the given name.
  `GroupCreationTO` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Deprecated. Creates a copy of this object with the given properties.
  `GroupCreationTO` | `withProperty​(java.lang.String key, java.lang.String value)` | Deprecated. Creates a copy of this object and adds the given property.

  ### Methods inherited from class org.opentcs.access.to.CreationTO

  `getModifiableProperties, getName, getProperties, listWithAppendix, mapWithMapping, propertiesWith`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupCreationTO

    public GroupCreationTO​(java.lang.String name)
    Deprecated.
    Creates a new instance.
    Parameters:
      `name` - The name of this group.

- ## Method Details

  - ### withName

    public GroupCreationTO withName​(@Nonnull java.lang.String name)
    Deprecated.
    Creates a copy of this object with the given name.
    Overrides:
      `withName` in class `CreationTO`
    Parameters:
      `name` - The new name.
    Returns:
      A copy of this object, differing in the given value.

  - ### withProperties

    public GroupCreationTO withProperties​(@Nonnull java.util.Map<java.lang.String,​java.lang.String> properties)
    Deprecated.
    Creates a copy of this object with the given properties.
    Overrides:
      `withProperties` in class `CreationTO`
    Parameters:
      `properties` - the new properties.
    Returns:
      A copy of this object, differing in the given properties.

  - ### withProperty

    public GroupCreationTO withProperty​(@Nonnull java.lang.String key, @Nonnull java.lang.String value)
    Deprecated.
    Creates a copy of this object and adds the given property. If value == null, then the key-value pair is removed from the properties.
    Overrides:
      `withProperty` in class `CreationTO`
    Parameters:
      `key` - the key.
      `value` - the value
    Returns:
      A copy of this object that either includes the given entry in it's current properties, if value != null or excludes the entry otherwise.

  - ### getMemberNames

    @Nonnull public java.util.Set<java.lang.String> getMemberNames()
    Deprecated.
    Returns the names of this group's members.
    Returns:
      The names of this group's members.

  - ### withMemberNames

    public GroupCreationTO withMemberNames​(@Nonnull java.util.Set<java.lang.String> memberNames)
    Deprecated.
    Creates a copy of this object with group's members.
    Parameters:
      `memberNames` - The names of this group's members.
    Returns:
      A copy of this object, differing in the given value.